import React from 'react';
import useRigthSidebarStore from '@/feature/messenger/store/useRigthSidebarStore';
import Information from '@/feature/messenger/components/layout/right-section/Information';
import MessageInformation from '@/feature/messenger/components/layout/right-section/MessageInformation';

function RigthSidebar() {
  const { openRigthSidebar, typeContent } = useRigthSidebarStore();

  return (
    <div 
      className={`
        transition-all duration-300
        ${openRigthSidebar ? 'translate-x-0 md:w-2/4 p-3' : 'translate-x-full md:w-0'}
        inset-y-0 right-0 
        w-full
        bg-white z-10
        fixed md:relative
        md:flex md:flex-col
        overflow-hidden
        border-1 border-gray-200
      `}
    >
     {typeContent === 'information' && <Information />}
     {typeContent === 'message-information' && <MessageInformation />}
    </div>
  );
}

export default RigthSidebar;
